<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemOnDutyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemOnDuty">
        <id column="id" property="id" />
        <result column="duty_id" property="dutyId" />
        <result column="duty_time" property="dutyTime" />
        <result column="company_id" property="companyId" />
        <result column="person_id" property="personId" />
        <result column="person_name" property="personName" />
        <result column="duty_type_id" property="dutyTypeId" />
        <result column="time_stamp" property="timeStamp" />
        <result column="organizate_name" property="organizateName" />
        <result column="organizate_abbreviate" property="organizateAbbreviate" />
        <result column="organizate_address" property="organizateAddress" />
        <result column="link_phone" property="linkPhone" />
        <result column="organizate_rank" property="organizateRank" />
        <result column="position_name" property="positionName" />
        <result column="position_rank" property="positionRank" />
        <result column="full_name" property="fullName" />
        <result column="ry_id" property="ryId" />
        <result column="ry_xh" property="ryXh" />
        <result column="yhzh" property="yhzh" />
        <result column="zh_id" property="zhId" />
        <result column="sjszjg" property="sjszjg" />
        <result column="jlzt" property="jlzt" />
        <result column="yddh" property="yddh" />
        <result column="jgjc" property="jgjc" />
        <result column="jgtree" property="jgtree" />
        <result column="id_number" property="idNumber" />
        <result column="person_rank" property="personRank" />
        <result column="union_key" property="unionKey" />
    </resultMap>

</mapper>
